<?php
/**
 * Single Resume Related Content
 *
 * @package Jobify
 * @since 3.0.0
 * @version 3.8.1
 */

global $post;
$tax_query = array();

$tax_resume_region = "resume_region"; 
$tags_resume_region = get_the_terms( $post->ID, $tax_resume_region );

if( !empty($tags_resume_region) ){

	$tags_resume_region = wp_list_pluck( $tags_resume_region, 'term_id' );
	$custom_tags_resume_region = array();

	$custom_tags_resume_region['taxonomy'] = $tax_resume_region;
	$custom_tags_resume_region['field'] = 'term_id';
	$custom_tags_resume_region['terms'] = $tags_resume_region;
	$custom_tags_resume_region['operator'] = 'IN';

	array_push( $tax_query, $custom_tags_resume_region );

}

$tax_resume_category = "resume_category";
$tags_resume_category = get_the_terms( $post->ID, $tax_resume_category );

if( !empty($tags_resume_category) ){

	$tags_resume_category = wp_list_pluck( $tags_resume_category, 'term_id' );
	$custom_tags_resume_category = array();

	$custom_tags_resume_category['taxonomy'] = $tax_resume_category;
	$custom_tags_resume_category['field'] = 'term_id';
	$custom_tags_resume_category['terms'] = $tags_resume_category;
	$custom_tags_resume_category['operator'] = 'IN';

	array_push( $tax_query, $custom_tags_resume_category );
}

$tax_resume_skill = "resume_skill"; 
$tags_resume_skill = get_the_terms( $post->ID, $resume_skill );

if( !empty($tags_resume_skill) ){

	$tags_resume_skill = wp_list_pluck( $tags_resume_skill, 'term_id' );
	$custom_tags_resume_skill = array();

	$custom_tags_resume_skill['taxonomy'] = $tax_resume_skill;
	$custom_tags_resume_skill['field'] = 'term_id';
	$custom_tags_resume_skill['terms'] = $tags_resume_skill;
	$custom_tags_resume_skill['operator'] = 'IN';
	
	array_push( $tax_query, $custom_tags_resume_skill );

}

$related_args = array(
	'post_type' => 'resume',
	'orderby'   => 'rand',
	'posts_per_page' => 3,
	'post_status' => 'publish',
	'post__not_in' => array( $post->ID ),
	'tax_query' => $tax_query
	
);
 
$related = new WP_Query( apply_filters( 'jobify_related_job_args', $related_args ) );

?>

<div class="related-jobs container">

	<h3 class="widget-title widget--title-job_listing-top"><?php _e( 'Related Resume', 'jobify' ); ?></h3>

	<ul class="job_listings related">

		<?php while ( $related->have_posts() ) : $related->the_post(); ?>

			<?php 
	
			get_job_manager_template_part( 'content', 'resume' );
	
			?>

		<?php endwhile; ?>

	</ul>

</div>

<?php wp_reset_query(); ?>
